Looking for someone on 10.2.100.8


(Carol Pelowski) #1

Hello all,
I need to touch base with someone on 10.2.100.8 to see if they are having any issues with updatable BAQ’s. After a discussion with Epicor, it sounds like there may be a bug in that version. I would like to verify if this is the case, or if it is something in our environment itself.
Thanks
Carol


(tyler fenwick) #2

We are on 10.2.100.8, what issue are you having?
*Update I see your recent post. Unfortunately We have only been on 10.2.100.8 for about 2 weeks and have not had much time with updatable BAQS. Mostly been modifying/creating new RDD’s in 10.2


(Theodore Koch) #3

What is the issue you are having? Can you attach the BAQ?


(Carol Pelowski) #4

Here are a couple of BAQ’s .
Both simple updatable queries, however, they return an error and will not update.

Error code below:

Severity: Exception, Table: Part, Field: , RowID: 07b27163-4abf-4beb-bf8f-96a7ef654dd5, Text: BPM runtime caught an unexpected exception of ‘ArgumentException’ type.
See more info in the Inner Exception section of Exception Details.
Severity: Exception, Table: Part, Field: , RowID: 8a89968f-f668-4661-b6d0-e9430b835c33, Text: BPM runtime caught an unexpected exception of ‘ArgumentException’ type.
See more info in the Inner Exception section of Exception Details.
Query returned 2 row(s).

Thank you for your help!

Carol

LSI68332-Partcomments_E10.baq (18.9 KB)

testUpdateablePartU.baq (18.8 KB)


(Carol Pelowski) #5

This is the error I receive:

Severity: Exception, Table: Part, Field: , RowID: 07b27163-4abf-4beb-bf8f-96a7ef654dd5, Text: BPM runtime caught an unexpected exception of ‘ArgumentException’ type.
See more info in the Inner Exception section of Exception Details.
Severity: Exception, Table: Part, Field: , RowID: 8a89968f-f668-4661-b6d0-e9430b835c33, Text: BPM runtime caught an unexpected exception of ‘ArgumentException’ type.
See more info in the Inner Exception section of Exception Details.
Query returned 2 row(s).

It is a simple BAQ …
Part table
Updating MfgComments and/or Purchase Comments

So my guess is updatable queries are working for you. If that is the case, it has to be something in our environment setup. I have full developer / BAQ abilities, so it is not a user issue.

Thanks again
Carol


(Theodore Koch) #6

Have you tried running Updatable BAQ Maintenance on these queries?


(Carol Pelowski) #7

I ran Updatable BAQ Maintenance, however, still returns the error and does not update.
Are you on version 10.2.100.8 and your updatable queries work?


(Theodore Koch) #8

I just tested both queries in my 10.2.100.8 environment and both worked as expected. They are very simple queries, Is this your Live environment or Test?


(Randy Stulce) #9

We’re not on 10.2 but when we went from 10.0 to 10.1 there were some updatable BAQs we had to rebuild. Don’t know why, they were the exact same query but the imported versions wouldn’t work but the rebuilt ones did.


(Carol Pelowski) #10

This is our test environment. I am totally baffled. Like you said these are very simple queries, and I can see no reason why they wouldn’t work.
Thank you for testing them. (I am relieved to know that it is not a bug in that version)


(Theodore Koch) #11

Were these created in the 10.2 version or migrated? As @Randy is suggesting, try rebuilding them if they were migrated.


(Tanner Post) #12

Try running conversion 90010 in Conversion Workbench. We have to run that in 10.1.600 to get our updatable BAQ BPM signatures to refresh after every upgrade


(Carol Pelowski) #13

Thanks Randy,

I tried rebuilding it, and received the same error. Appreciate your input. Kind of at a loss as to what to try next. I have a call in with Epicor, so I am hoping they will come up with an answer
:slight_smile:

Carol


(Carol Pelowski) #14

They were created in 9.05.701, however, I have tried creating a few new updatable (simple) queries, but the same results.


(Carol Pelowski) #15

Tanner,

Thank you, we shall give that a try.

Carol


(Mukesh Desai) #16

We are on 10.2.100.8, and no issue with updatable BAQ. The one working in previous 10.1.400.29 was working well. I suggest you to see join type condition, it was changed, and must be taken care by conversion WB, if not try them.
image